# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Summary:        Parser Generator with Java Extension
Name:           byaccj
Version:        1.15
Release:        %mkrel 0.1.13
Epoch:          0
License:        Public Domain
URL:            http://byaccj.sourceforge.net/
Group:          Development/Java
Source0:        https://downloads.sourceforge.net/byaccj/byaccj%{version}_src.tar.gz
Requires:       man-pages

%description
BYACC/J is an extension of the Berkeley v 1.8 YACC-compatible 
parser generator. Standard YACC takes a YACC source file, and 
generates one or more C files from it, which if compiled properly, 
will produce a LALR-grammar parser. This is useful for expression 
parsing, interactive command parsing, and file reading. Many 
megabytes of YACC code have been written over the years.
This is the standard YACC tool that is in use every day to produce 
C/C++ parsers. I have added a "-J" flag which will cause BYACC to 
generate Java source code, instead. So there finally is a YACC for 
Java now! 

%prep
%setup -q -n %{name}%{version}

%build
pushd src
perl -i.bak -lp -e 's{(\$\(CC\) -o yacc).*?(\$\(OBJ\))}{$1 \$(LDFLAGS) $2}' Makefile
%make_build CC=%{__cc} CFLAGS="%{optflags}" LDFLAGS="%{optflags}" linux
popd

sed -i 's/\r//g' docs/tf.y

%install
# manual
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
mv docs/yacc.cat $RPM_BUILD_ROOT%{_mandir}/man1

# jars
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p src/yacc.linux \
  $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p src/README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/man1/yacc.cat*
%attr(755, root, root) %{_bindir}/%{name}




%changelog
* Tue Jun 07 2022 neoclust <neoclust> 0:1.15-0.1.13.mga9
+ Revision: 1863040
- Rebuild against new java stack

* Mon Mar 14 2022 umeabot <umeabot> 0:1.15-0.1.12.mga9
+ Revision: 1791527
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0:1.15-0.1.11.mga8
+ Revision: 1510831
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 0:1.15-0.1.10.mga7
+ Revision: 1295752
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0:1.15-0.1.9.mga6
+ Revision: 935427
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.15-0.1.8.mga5
+ Revision: 745017
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:1.15-0.1.7.mga5
+ Revision: 678258
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:1.15-0.1.6.mga4
+ Revision: 503173
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0:1.15-0.1.5.mga3
+ Revision: 347250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 shlomif <shlomif> 0:1.15-0.1.4.mga2
+ Revision: 175549
- New version - 1.15

* Mon Jan 17 2011 ahmad <ahmad> 0:1.14-0.1.4.mga1
+ Revision: 21655
- imported package byaccj


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.14-0.1.4mdv2011.0
+ Revision: 603774
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.14-0.1.3mdv2010.1
+ Revision: 522305
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:1.14-0.1.2mdv2010.0
+ Revision: 413188
- rebuild

* Thu Aug 14 2008 David Walluck <walluck@mandriva.org> 0:1.14-0.1.1mdv2009.0
+ Revision: 272093
- add sources
- 1.14

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0:1.11-2.2.1mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 04 2007 David Walluck <walluck@mandriva.org> 0:1.11-2.2.1mdv2008.0
+ Revision: 47975
- Import byaccj




* Tue Mar 06 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:1.11-2jpp.2.fc7
- First build in fedora after passing review

* Thu Feb 15 2007 Tania Bento <tbento@redhat.com> - 0:1.11-2jpp.1
- Fixed the %%Release tag.
- Changed the %%License tag.
- Fixed the %%BuildRoot tag.
- Removed the %%Vendor tag.
- Removed the %%Distribution tag.
- Removed the %%BuildRequires: gcc and make tags as these d not need to be
listed.
- Removed "%%define section free".
- Added "sed -i 's/\r//g docs/tf.y' to fix a warning generated by
rpmlint.
- Fixed the %%Source0 tag.
- Changed the %%Group tag.
- Installed man pages in proper directory. 

* Wed Jan 04 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.11-2jpp
- First JPP 1.7 build

* Wed Nov 16 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.11-1jpp
- First JPackage release
